Name:           athena-plasma-base
Version:        1.0.0
Release:        4%{?dist}
Summary:        KDE Plasma base configuration for Athena OS

License:        LicenseRef-custom
URL:            https://gitlab.com/athenaos/packages/desktop/athena-plasma-base
Source0:        athena-plasma-applications.menu
Source1:        kwinrc
Source2:        kwinrulesrc
Source3:        plasma-init.desktop
Source4:        plasma-init
Source5:        plasma-org.kde.plasma.desktop-appletsrc

BuildArch:      noarch
Requires:       kf6-bluez-qt
Requires:       plasma-discover
Requires:       dolphin
Requires:       elisa-player
Requires:       gwenview
Requires:       kcalc
Requires:       kde-gtk-config
Requires:       kde-connect
Requires:       kdeplasma-addons
Requires:       kfind
Requires:       kinfocenter
Requires:       kmenuedit
Requires:       kpipewire
Requires:       kscreen
Requires:       kf6-kservice
Requires:       kwin
Requires:       kwrite
Requires:       plasma-browser-integration
Requires:       plasma-desktop
Requires:       plasma-nm
Requires:       plasma-pa
Requires:       plasma-systemmonitor
Requires:       plasma-thunderbolt
Requires:       plasma-vault
Requires:       plasma-welcome
Requires:       plasma-workspace
Requires:       polkit-kde
Requires:       spectacle
Requires:       plasma-systemsettings
Requires:       xdg-desktop-portal-kde

%description
KDE Plasma base configuration for Athena OS. Includes base packages, applet layout,
autostart files, and configuration files for KWin and Plasma.

%prep
# Nothing to unpack

%build
# Nothing to build

%install
install -dm 755 %{buildroot}/etc/skel/.config
install -dm 755 %{buildroot}/etc/xdg/autostart
install -dm 755 %{buildroot}/etc/xdg/menus/applications-merged
install -dm 755 %{buildroot}/usr/bin

install -Dm 644 %{SOURCE1} %{buildroot}/etc/skel/.config/kwinrc
install -Dm 644 %{SOURCE2} %{buildroot}/etc/skel/.config/kwinrulesrc
install -Dm 644 %{SOURCE5} %{buildroot}/etc/skel/.config/plasma-org.kde.plasma.desktop-appletsrc

install -Dm 644 %{SOURCE3} %{buildroot}/etc/xdg/autostart/plasma-init.desktop
install -Dm 644 %{SOURCE0} %{buildroot}/etc/xdg/menus/applications-merged/athena-plasma-applications.menu

install -Dm 755 %{SOURCE4} %{buildroot}/usr/bin/plasma-init

touch %{buildroot}/etc/skel/.flag-plasma-once

%files
/etc/skel/.config/kwinrc
/etc/skel/.config/kwinrulesrc
/etc/skel/.config/plasma-org.kde.plasma.desktop-appletsrc
/etc/skel/.flag-plasma-once
/etc/xdg/autostart/plasma-init.desktop
/etc/xdg/menus/applications-merged/athena-plasma-applications.menu
/usr/bin/plasma-init

%changelog
* Sun Apr 21 2025 Little Owl <littleowl@athenaos.org>
- Initial RPM version of KDE base configuration for Athena
